Bug 137211 - Timeout too short for Ethernet initialization on Intel SE7505VB2 motherboard.
Timeout too short for Ethernet initialization on Intel SE7505VB2 motherboard.
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2004-10-26 14:21 EDT by Jim Rothrock
Modified: 2014-03-16 22:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-26 14:25:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jim Rothrock 2004-10-26 14:21:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)

Description of problem:
The Ethernet support on the Intel SE7505VB2 motherboard fails to be
initialized because the timeout in check_link_down is too short.  To
fix the problem, do the following:

1.  Edit /etc/sysconfig/network-scripts/network-functions.
2.  Search for "check_link_down".
3.  Within check_link_down(), either:
    a) Change "$timeout -le 10" to "$timeout -le 20".
    b) Change "usleep 500000" to "usleep 1000000".

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Run Fedora Core 2 on an Intel SE7505VB2 motherboard.
2.  Watch the boot messages.
3.  Ethernet initialization will fail.

Actual Results:  Ethernet did not work.

Expected Results:  Ethernet should have worked.

Additional info:
Comment 1 Bill Nottingham 2004-10-26 21:09:52 EDT
What sort of switch are you connected to?
Comment 2 Jim Rothrock 2004-10-27 14:49:04 EDT
An Extreme Networks Summit 400-48t


Here's an extra piece of information:

The SE7505VB2 motherboard has two Ethernet ports: a 10/100 and a Ge.  
The 10/100 does not time out.
Comment 3 Matthew Miller 2005-04-26 12:11:00 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 Bill Nottingham 2005-04-26 14:25:17 EDT
At this point, this is unlikely to change; there really haven't been many other
reports of this.

Note You need to log in before you can comment on or make changes to this bug.